- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# cEqdHistogramBase Class Reference
[Statistical data collection]

`#include <chist.h>`

Inheritance diagram for cEqdHistogramBase:

List of all members.

## Detailed Description

Base class for equal cell size histograms.

## Public Member Functions
Constructors, destructor, assignment.
| cEqdHistogramBase (const cEqdHistogramBase &r)
| cEqdHistogramBase (const char *name=NULL, int numcells=-1)
cEqdHistogramBase & | operator= (const cEqdHistogramBase &res)
Redefined cObject member functions.
virtual void | netPack (cCommBuffer *buffer)
virtual void | netUnpack (cCommBuffer *buffer)
Redefined member functions from cStatistic and its subclasses.
virtual double | basepoint (int k) const
virtual double | cell (int k) const
virtual double | pdf (double x) const
virtual double | cdf (double x) const
virtual void | saveToFile (FILE *) const
virtual void | loadFromFile (FILE *)
## Protected Member Functions
virtual void | collectTransformed (double val)
virtual void | setupRange ()

## Constructor & Destructor Documentation

cEqdHistogramBase::cEqdHistogramBase | ( | const cEqdHistogramBase & | r | ) | `[inline]`

| Copy constructor.

cEqdHistogramBase::cEqdHistogramBase | ( | const char * | name = `NULL`,
|  | int | numcells = `-1`
| ) | `[explicit]`

| Constructor.

## Member Function Documentation

virtual double cEqdHistogramBase::basepoint | ( | int | k | ) | const`[virtual]`

| Returns the kth cell boundary. Implements cDensityEstBase.

virtual double cEqdHistogramBase::cdf | ( | double | x | ) | const`[virtual]`

| Returns the value of the Cumulated Density Function at a given x. Implements cDensityEstBase.

virtual double cEqdHistogramBase::cell | ( | int | k | ) | const`[virtual]`

| Returns the number of observations that fell into the kth histogram cell. Implements cDensityEstBase.

virtual void cEqdHistogramBase::collectTransformed | ( | double | val | ) | `[protected, virtual]`

| Called internally by collect(), this method collects a value after the histogram has been transformed. Implements cDensityEstBase.

virtual void cEqdHistogramBase::loadFromFile | ( | FILE * |  | ) | `[virtual]`

| Reads the object data from a file, in the format written out by saveToFile(). Reimplemented from cHistogramBase.

virtual void cEqdHistogramBase::netPack | ( | cCommBuffer * | buffer | ) | `[virtual]`

| Serializes the object into a PVM or MPI send buffer. Used by the simulation kernel for parallel execution. See cObject for more details. Reimplemented from cHistogramBase.

virtual void cEqdHistogramBase::netUnpack | ( | cCommBuffer * | buffer | ) | `[virtual]`

| Deserializes the object from a PVM or MPI receive buffer Used by the simulation kernel for parallel execution. See cObject for more details. Reimplemented from cHistogramBase.

cEqdHistogramBase& cEqdHistogramBase::operator= | ( | const cEqdHistogramBase & | res | ) |

| Assignment operator. The name member doesn't get copied; see cObject's operator=() for more details.

virtual double cEqdHistogramBase::pdf | ( | double | x | ) | const`[virtual]`

| Returns the value of the Probability Density Function at a given x. Implements cDensityEstBase.

virtual void cEqdHistogramBase::saveToFile | ( | FILE * |  | ) | const`[virtual]`

| Writes the contents of the object into a text file. Reimplemented from cHistogramBase.

virtual void cEqdHistogramBase::setupRange | ( |  | ) | `[protected, virtual]`

| Called internally by transform(), this method should determine and set up the histogram range. It also calculates the cell size. Reimplemented from cDensityEstBase. Reimplemented in cLongHistogram, and cDoubleHistogram.

The documentation for this class was generated from the following file:

- chist.h